/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

.openk-drag-list-with-hidden-placeholder {

  .cdk-drag-placeholder {
    opacity: 0;
    max-height: 0;
    overflow: hidden;
    margin: 0 !important;
  }

}

.cdk-drag-placeholder {
  margin-bottom: 0.5em;
  opacity: 0.33;

  .openk-drag-element > * {
    opacity: 0.66;
  }
}

.cdk-drop-list-dragging > * {
  transition: transform 150ms cubic-bezier(0, 0, 0.2, 1);
}

.cdk-drag-animating {
  transition: transform 150ms cubic-bezier(0, 0, 0.2, 1);
}

.cdk-drag-preview {
  box-sizing: border-box;

  .openk-drag-element {
    border-style: solid !important;
    box-shadow: 0 0 4px -2px rgba(0, 0, 0, 0.2);
  }
}
